package ru.dbotthepony.mc.otm.config

object ServerCompatConfig : AbstractConfig("compat-server") {
	object AdAstra {
		init {
			builder.push("AD_ASTRA")
		}

		val ANDROIDS_DO_NOT_NEED_OXYGEN: Boolean by builder
			.comment("Android do not need oxygen in space")
			.define("ANDROIDS_DO_NOT_NEED_OXYGEN", true)

		init {
			builder.pop()
		}
	}

	init {
		AdAstra
	}
}
